Package org.h2.security.auth

# Class AuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.h2.security.auth.AuthenticationException

All Implemented Interfaces:
  `Serializable`

public class AuthenticationException extends Exception
Exception thrown in case of errors during authentication

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationException()`
`AuthenticationException(String message)`
`AuthenticationException(String message, Throwable cause)`
`AuthenticationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationException

public AuthenticationException()

### AuthenticationException

public AuthenticationException(String message)

### AuthenticationException

public AuthenticationException(Throwable cause)

### AuthenticationException

public AuthenticationException(String message, Throwable cause)